
#include "TArtHistManager.hh"

#include "TFile.h"
#include "TList.h"
#include "TClass.h"
#include "TH1.h"

TH1* gTH1 = 0;
TObjLink* gObjLink = 0;

void TArtHistManager::ReadHist(char* filename)
{
  TFile *file = TFile::Open(filename);
  if(!file) return;

  file->ReadAll();
}  

void TArtHistManager::DrawPresentHist()
{
  if(!gFile) return;
  TList* list = gFile->GetList();
  if(!list) return;

  TObject *obj;
  bool loop = false;
  while(1){
    if(!gObjLink){
      if(loop) break;
      loop = true;
      gObjLink = list->FirstLink();	
    }
    obj = gObjLink->GetObject();
    if(obj->InheritsFrom(TH1::Class())){
      gTH1 = static_cast<TH1*>(obj);
      gTH1->Draw(gTH1->GetOption());
      return;
    }else{
      gObjLink = gObjLink->Next();
      continue;
    }
  }
}

void TArtHistManager::DrawNextHist()
{
  if(!gFile) return;
  TList* list = gFile->GetList();
  if(!list) return;

  TObject *obj;
  bool loop = false;
  while(1){
    if(!gObjLink){
      if(loop) break;
      loop = true;
      gObjLink = list->FirstLink();	
    }else{
      gObjLink = gObjLink->Next();
      if(!gObjLink) continue;
    }
    obj = gObjLink->GetObject();
    if(obj->InheritsFrom(TH1::Class())){
      gTH1 = static_cast<TH1*>(obj);
      gTH1->Draw(gTH1->GetOption());
      return;
    }else{
      continue;
    }
  }
}

void TArtHistManager::DrawPreviousHist()
{
  if(!gFile) return;
  TList* list = gFile->GetList();
  if(!list) return;

  TObject *obj;
  bool loop = false;
  while(1){
    if(!gObjLink){
      if(loop) break;
      loop = true;
      gObjLink = list->LastLink();	
    }else{
      gObjLink = gObjLink->Prev();
      if(!gObjLink) continue;
    }
    obj = gObjLink->GetObject();
    if(obj->InheritsFrom(TH1::Class())){
      gTH1 = static_cast<TH1*>(obj);
      gTH1->Draw(gTH1->GetOption());
      return;
    }else{
      continue;
    }
  }
}
