// NEBULA calibration class
// 

#ifndef _TARTCALIBNEBULA_H_
#define _TARTCALIBNEBULA_H_

#include <TNamed.h>

class TArtRawEventObject;
class TArtNEBULAParameters;
class TArtNEBULA;
class TArtNEBULAArray;

class TArtCalibNEBULA  {

 public:

  TArtCalibNEBULA();
  TArtCalibNEBULA(TArtNEBULAParameters * s);
  virtual ~TArtCalibNEBULA();

  TArtNEBULAArray    * GetNEBULA(){return fNEBULA;}
  TArtNEBULA         * GetNEBULA(int i);

  Int_t GetNumNEBULA();

  void LoadRawData(TArtRawEventObject *);
  void ClearData();
  void ReconstructData();
  void ReconstructData(TArtRawEventObject *);

  bool IsReconstructed(){ return fReconstructed; }

 private:

  bool fReconstructed;

  TArtNEBULAArray    * fNEBULA;
  TArtNEBULAParameters * setup;

  ClassDef(TArtCalibNEBULA,1);

 };

#endif
